// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2024 Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using Hiperscan.PdfLib;
using Hiperscan.Unix;

namespace Hiperscan.ApoIdentCore.Reporting.Protocol.Address
{
    public class CommonAddress : IDraw
    {
        public bool Draw(PdfArgs args)
        {
            args.Layout.Feed(30);

            args.Layout.SetFont(PdfFontTypes.HELVETICA, args.ReferenceFontSize, PdfColors.Black);

            //\nDatum: {0}\nPrüfnummer: {1}
            string text = String.Format(Catalog.GetString(@"
Date: {0}
Test ID: {1}"),
                                      args.Info.Date.ToString("d"),
                                      args.Info.TestId);

            if (args.Layout.AddParagraph(text, PdfTextAlignments.Right) == false)
                return false;

            //{0}\n{1}, {2}\nPrüfende/r: {3}
            text = String.Format(Catalog.GetString(@"{0}
{1}, {2}
Operator name: {3}"),
                                 args.Info.Company,
                                 args.Info.Street,
                                 args.Info.Town,
                                 args.Info.Operator);

            if (args.Layout.AddParagraph(text) == false)
                return false;

            args.Layout.Feed(args.Layout.ParagraphBoundingBox.Height + args.ReferenceLineDistance);
            return true;
        }
    }
}
